### R code from vignette source 'ToxLim.Rnw'

###################################################
### code chunk number 1: preliminaries
###################################################
library("ToxLim")
options(prompt = "> ")
options(width=75)


###################################################
### code chunk number 2: Barents
###################################################
plotweb(Flowmatrix(LIMbarents),main="Barents Sea Food Web",
  sub="gC/m2/day")


###################################################
### code chunk number 3: Barents
###################################################
plotweb(Flowmatrix(LIMbarents),main="Barents Sea Food Web",
  sub="gC/m2/day")


###################################################
### code chunk number 4: Barents2
###################################################
pm <- par(mfrow=c(1,2))
Plotranges(LIMbarents,lab.cex=0.7,xlab="gC/m2/d",
   main="Flows")
# 
Plotranges(LIMbarents,type="V",lab.cex=0.7,xlab="gC/m2/d",
   main="variables")
mtext(outer=TRUE,"Southern Barents Sea food web",side=3,line=-1,cex=1.5)
par(mfrow=pm)


###################################################
### code chunk number 5: Barents2
###################################################
pm <- par(mfrow=c(1,2))
Plotranges(LIMbarents,lab.cex=0.7,xlab="gC/m2/d",
   main="Flows")
# 
Plotranges(LIMbarents,type="V",lab.cex=0.7,xlab="gC/m2/d",
   main="variables")
mtext(outer=TRUE,"Southern Barents Sea food web",side=3,line=-1,cex=1.5)
par(mfrow=pm)


###################################################
### code chunk number 6: Limlake
###################################################
pm <- par(mfrow=c(1,2))
lake <- Flowmatrix(LIMlake)
plotweb(lake,main="Lake enclosure food web",sub="gC/m2/day")

plotweb(Flowmatrix(LIMlakeFish),main="Lake enclosure food web + FISH",
  sub="gC/m2/day")


###################################################
### code chunk number 7: Limlake
###################################################
pm <- par(mfrow=c(1,2))
lake <- Flowmatrix(LIMlake)
plotweb(lake,main="Lake enclosure food web",sub="gC/m2/day")

plotweb(Flowmatrix(LIMlakeFish),main="Lake enclosure food web + FISH",
  sub="gC/m2/day")


###################################################
### code chunk number 8: Limlake2
###################################################
# ranges of flows
Plotranges(LIMlake,lab.cex=0.7,xlab="gC/m2/d",
   main="Flows")
# ranges of variables
Plotranges(LIMlake,type="V",lab.cex=0.7,xlab="gC/m2/d",
   main="variables")
mtext(outer=TRUE,"Lake enclosure food web",side=3,line=-1,cex=1.5)
par(mfrow=pm)


###################################################
### code chunk number 9: Limlake2
###################################################
# ranges of flows
Plotranges(LIMlake,lab.cex=0.7,xlab="gC/m2/d",
   main="Flows")
# ranges of variables
Plotranges(LIMlake,type="V",lab.cex=0.7,xlab="gC/m2/d",
   main="variables")
mtext(outer=TRUE,"Lake enclosure food web",side=3,line=-1,cex=1.5)
par(mfrow=pm)


###################################################
### code chunk number 10: ToxLim.Rnw:292-297
###################################################
LimOmega (lim = LIMlake,
          INST=c("DET","DOC","BAC","PHY","NAN","CIL","MIZ"),
          KINE= "MEZ", EXPO=c("sed","gr"),
          DOC="DOC", DET="DET", DIC="dic",
          WW_KINE=7.596535e-08, SS_KINE=0.079508)


###################################################
### code chunk number 11: ToxLim.Rnw:300-306
###################################################
LimOmega (lim = LIMlakeFish,
          INST=c("DET","DOC","BAC","PHY","NAN","CIL","MIZ"),
          KINE=c("MEZ","FIS"), EXPO=c("sed","gr"),
          DOC="DOC", DET="DET", DIC="dic",
          WW_KINE=c(1.85e-08,1.7e-3),
          SS_KINE=c(0.00514800,0.26))


###################################################
### code chunk number 12: ToxLim.Rnw:309-318
###################################################
LimOmega (lim = LIMbarents,
          INST=c("DIA","PHA","AUT","CIL","HNA","DET","BAC"),
          KINE=c("COP","CHA","KRI","CAP","COD","YCO","HER"),
          EXPO=c("SED","GRA","GRO"),
          DOC="DOC", DET="DET", DIC="DIC",
          WW_KINE=c(0.000001,8e-05,0.00006,10e-3,3,1,20e-3),
          LIPID_KINE=c(0.01,0.01,0.01,0.03,0.03,0.03,0.03),
          LIPID_INST=0.04,
          SS_KINE=c(1.79,0.6965,0.003,0.38,0.053,0.006,0.055))


###################################################
### code chunk number 13: ToxLim.Rnw:324-330
###################################################
  X0       <- Lsei(LIMlake)$X
  niter <- 50
  SolXS    <- Xsample(LIMlake, iter=niter, type = "mirror",
                      jmp=NULL, x0=X0, fulloutput = FALSE)

  BAFlc_all  <- NULL


###################################################
### code chunk number 14: ToxLim.Rnw:333-344
###################################################
  for (i in 1:niter) {
   flowmat <- Flowmatrix(LIMlake, SolXS[i,])
   LO<- LimOmega (flowmatrix=flowmat,
          INST=c("DET","DOC","BAC","PHY","NAN","CIL","MIZ"),
          KINE=c("MEZ"), EXPO=c("sed","gr"),
          DOC="DOC", DET="DET", DIC="dic",
          WW_KINE=7.596535e-08, SS_KINE=0.079508,
          Growth=0, k=0.25, Q=1)

   BAFlc_all <- c(BAFlc_all,LO$BAF_LC)
  }


###################################################
### code chunk number 15: BAFlc_all
###################################################
hist(BAFlc_all)


###################################################
### code chunk number 16: BAFlc_all
###################################################
hist(BAFlc_all)


###################################################
### code chunk number 17: ToxLim.Rnw:363-364
###################################################
  niter <- 100


###################################################
### code chunk number 18: ToxLim.Rnw:367-371
###################################################
  lkw <- rnorm(niter,mean=6,sd=0.4)

  BAFlc_all  <- NULL
  BCFoc_all  <- NULL


###################################################
### code chunk number 19: ToxLim.Rnw:374-375
###################################################
  flowmat <- Flowmatrix(LIMlake)


###################################################
### code chunk number 20: ToxLim.Rnw:378-389
###################################################
  for (i in 1:niter) {
   LO<- LimOmega (flowmatrix=flowmat,
          INST=c("DET","DOC","BAC","PHY","NAN","CIL","MIZ"),
          KINE=c("MEZ"), EXPO=c("sed","gr"),
          DOC="DOC", DET="DET", DIC="dic",
          WW_KINE=7.596535e-08, SS_KINE=0.079508,
          Growth=0, k=0.25, Q=1, logKow = lkw[i])

   BAFlc_all <- c(BAFlc_all,LO$BAF_LC)
   BCFoc_all <- c(BCFoc_all,LO$BCF_OC[1])
  }


###################################################
### code chunk number 21: BAFlc_2
###################################################
pm <- par(mfrow=c(2,2))
hist(BAFlc_all,main="BAF_LC")
plot(lkw,BAFlc_all,xlab="log Kow",ylab="BAF_LC")
hist(BCFoc_all,main="BCF_OC")
plot(lkw,BCFoc_all,xlab="log Kow",ylab="BCF_OC")
par(mfrow=pm)


###################################################
### code chunk number 22: BAFlc_2
###################################################
pm <- par(mfrow=c(2,2))
hist(BAFlc_all,main="BAF_LC")
plot(lkw,BAFlc_all,xlab="log Kow",ylab="BAF_LC")
hist(BCFoc_all,main="BCF_OC")
plot(lkw,BCFoc_all,xlab="log Kow",ylab="BCF_OC")
par(mfrow=pm)


